#include <iostream>
#include <fstream>
using namespace std;
int n;
int s;
int dem=0;
int main()
{
	ifstream fi("CAU2_14.inp");
	ofstream fo("CAU2_14.out");
	fi>>n;
	int v[n];
	float t[n];
	fi>>s;
	for(int i=0;i<n;i++)
	{
		fi>>v[i];
		t[i]=s/v[i];
	}
	for(int j=n-1;j>=0;j--)
	{
		for(int y=0;y<j;y++)
		{
			int q=j-y;
			if(t[j]+q<t[y])
			{
				dem++;
			}
		}
	}
	fo<<dem;
	fi.close();
	fo.close();
	return 0;
}
